Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 710200 - spice-server: pick up some fixes from upstream 0.8.1 -- mainly server/vdagent related
Summary: spice-server: pick up some fixes from upstream 0.8.1 -- mainly server/vdagent...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Uri Lublin
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 693638
TreeView+ depends on / blocked
 
Reported: 2011-06-02 16:18 UTC by Uri Lublin
Modified: 2011-12-06 15:21 UTC (History)
5 users (show)

Fixed In Version: spice-server-0.8.1-1
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
This spice-server contain fixes from upstream spice 0.8.1 release, including - make copy/paste support configurable - server/vdagent bugs fixed
Clone Of:
Environment:
Last Closed: 2011-12-06 15:21:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1634 normal SHIPPED_LIVE spice-server bug fix and enhancement update 2011-12-06 00:50:43 UTC

Description Uri Lublin 2011-06-02 16:18:08 UTC
Description of problem:
Upstream spice branch 0.8 includes some fixes that are not in RHEL-6.1
Pick them up.

Patches include:
 + server/vdagent related:
   - 443994ba make sure we clear vdagent and ... on agent disconnect
   - 620a02da ignore SPICE_MSGC_MAIN_AGENT_START msgs when there is no agent
   - 2df49c8a hookup agent-msg-filter discard-all functionality
   - 5d7cf4c0 add discard all option to agent message filter
   - 1ec316e5 filter all data from client
   - add4bedb reset read/write filter on agent/client disconnect
   - a19f5126 break read_from_vdi_port loop if the guest gets disconnected
   - 7cc85f33 Don't stop writing agent data to the guest when client disconnects
   - ef688673 Don't reset agent state when the client disconnects
   - 5315888a allow call to reds_agent_remove even if it is gone

 + picked up by #693638 (configurable copy/paste)
   - 302ab69f Make copy paste support configurable
   - 04171174 Add the ability to filter agent messages

 + Release 0.8.1
   - 9a03fbcb Release 0.8.1
   - autogen.sh generated files, if needed.

Comment 2 Uri Lublin 2011-06-05 08:54:49 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This spice-server contain fixes from upstream spice 0.8.1 release, including
 - make copy/paste support configurable
 - server/vdagent bugs fixed
 - fix use after free

Comment 3 Uri Lublin 2011-06-05 08:56:36 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1,3 @@
 This spice-server contain fixes from upstream spice 0.8.1 release, including
  - make copy/paste support configurable
- - server/vdagent bugs fixed
+ - server/vdagent bugs fixed- - fix use after free

Comment 5 Cameron Meadors 2011-06-27 13:42:16 UTC
I appears that this rebase is the commit that fixes bug 693638.  I am adding that bug to the Blocks field to represent that.  Are there any other bugs that are fixed with this rebase?

Comment 6 Uri Lublin 2011-06-27 15:25:55 UTC
(In reply to comment #5)
It is mentioned in the description of this bug (comment #0), that rhbz#693638 is included in this rebase.
I think 693638 is the only RHEL bug fixed by this rebase, (except for this specific bug), but it would not work well without other patches that are included in the rebase.

Comment 12 errata-xmlrpc 2011-12-06 15:21:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1634.html


Note You need to log in before you can comment on or make changes to this bug.